import request from '@/utils/request'
//查询返利明细列表
export function orderList(data) {
  return request({
    url: `orderGain/list?pageNum=${data.pageNum}&pageSize=${
      data.pageSize
    }&supplierName=${data.supplierName}&dhNumber=${data.dhNumber}&shUnit=${
      data.shUnit
    }&dlType=${data.dlType}&zdStatus=${data.zdStatus}&jhTimeStart=${
      data.deliveryDate && data.deliveryDate[0] ? data.deliveryDate[0] : ''
    }&jhTimeEnd=${
      data.deliveryDate && data.deliveryDate[1] ? data.deliveryDate[1] : ''
    }&dhTimeStart=${
      data.orderDate && data.orderDate[0] ? data.orderDate[0] : ''
    }&dhTimeEnd=${
      data.orderDate && data.orderDate[1] ? data.orderDate[1] : ''
    }`,
    method: 'GET',
  })
}

//详情页接口
const detailPage = (params) => request.get('orderGainDetailed/list', { params })

// 下载返利明细列表
const uploadDetail = (params) =>
  request.post('orderGainDetailed/exportExcel', params, {
    responseType: 'blob',
  })

// 订单进度跟踪列表
const orderProcgress = (params) => request.get('orderTail/list', { params })

//订单进度跟踪导入
const progressExport = (params) =>
  request.post('orderTail/exportExcel', params, {
    responseType: 'blob',
  })
// 订单进度跟踪导入名字
const progressUploadName = () => request.get('orderTail/randomExcelName')
// 订单进度跟踪详情
const progressDetail = (params) =>
  request.get('orderTailDetail/list', { params })

//订单进度跟踪详情下载
const proDetailUpload = (params) =>
  request.post('orderTailDetail/exportExcel', params, {
    responseType: 'blob',
  })
// 订单进度跟踪详情下载名字
const proDetailUploadName = (params) =>
  request.get('orderTailDetail/randomExcelName', { params })

export {
  detailPage,
  uploadDetail,
  orderProcgress,
  progressExport,
  progressUploadName,
  progressDetail,
  proDetailUpload,
  proDetailUploadName,
}
